Return overview of management
curl --request GET \
--url https://app.tarefy.com/nodeapi/v2/time-clock/management/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tarefy.com/nodeapi/v2/time-clock/management/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tarefy.com/nodeapi/v2/time-clock/management/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user": {
"id": 990,
"name": "Maria Silva",
"photo": "<string>",
"email": "maria@tarefy.com"
},
"today_status": "working",
"last_event": "ENTRADA",
"last_event_time": "2026-06-16T09:00:00.000Z",
"worked_today_minutes": 240,
"overtime_month_minutes": 0,
"bank_balance_minutes": 120,
"pending_requests": 1,
"outside_area_punches_count": 2,
"outside_area_punches": [
{
"entry_id": 123,
"date": "2026-06-10",
"time": "09:00",
"punched_at": "2026-06-16T09:00:00.000Z",
"type": "ENTRADA",
"type_label": "Entrada",
"geolocation": {
"latitude": -23.5617,
"longitude": -46.6254,
"accuracy_meters": 12,
"distance_meters": 180,
"status": "outside"
},
"geofence_reference": {
"latitude": -23.6190278,
"longitude": -46.6995833,
"address": "Sede Tarefy"
},
"address": "Rua Teste, 123"
}
],
"alerts_count": 0
}
]Time Clock
Return overview of management
GET
/
v2
/
time-clock
/
management
/
overview
Return overview of management
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Visão geral retornada com sucesso
Show child attributes
Show child attributes
Example:
"working"
Example:
"ENTRADA"
Example:
"2026-06-16T09:00:00.000Z"
Example:
240
Example:
0
Example:
120
Example:
1
Quantidade de batidas do mês atual registradas fora da área permitida.
Example:
2
Batidas do mês atual cujo status de geofence é outside.
Show child attributes
Show child attributes
Example:
0
⌘I

